omq.common.message

## Class Response

- java.lang.Object
- - omq.common.message.Response

- All Implemented Interfaces:
    java.io.Serializable

      public class Response
      extends java.lang.Object
      implements java.io.Serializable

  Serializable response information. This class is used to send the information to the client proxy. It has information about which remoteObject has invoked the method and its correlation id. This class also has the result of the invoke if everything has gone fine in the server or an error otherwise.
  Author:
    Sergi Toda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response()`
    `Response(java.lang.String id, java.lang.String idOmq, java.lang.Object result, OmqException error)` Creates a new Response object to be serialized

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OmqException` | `getError()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getIdOmq()`
    `java.lang.Object` | `getResult()`
    `void` | `setError(OmqException error)`
    `void` | `setId(java.lang.String id)`
    `void` | `setIdOmq(java.lang.String idOmq)`
    `void` | `setResult(java.lang.Object result)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response

          public Response()

    - #### Response

          public Response(java.lang.String id,
                  java.lang.String idOmq,
                  java.lang.Object result,
                  OmqException error)

      Creates a new Response object to be serialized
      Parameters:
        `id` - - correlation id of the invoke
        `idOmq` - - objectmq's identifier -bind reference-
        `result` - - result of the invocation
        `error` - - error thrown by the invocation

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getIdOmq

          public java.lang.String getIdOmq()

    - #### setIdOmq

          public void setIdOmq(java.lang.String idOmq)

    - #### getResult

          public java.lang.Object getResult()

    - #### setResult

          public void setResult(java.lang.Object result)

    - #### getError

          public OmqException getError()

    - #### setError

          public void setError(OmqException error)